Delete Chat Thread - Delete Chat Thread
Supprime un thread.
DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
Paramètres URI
| Nom | Dans | Obligatoire | Type | Description |
|---|---|---|---|---|
|
chat
|
path | True |
string |
ID de thread à supprimer. |
|
endpoint
|
path | True |
string |
Point de terminaison de la ressource Azure Communication. |
|
api-version
|
query | True |
string |
Version de l’API à appeler. |
En-tête de la demande
| Nom | Obligatoire | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Jeton d’accès utilisateur ACS (Azure Communication Services). |
Réponses
| Nom | Type | Description |
|---|---|---|
| 204 No Content |
Demande réussie. |
|
| 401 Unauthorized |
Non autorisée |
|
| 403 Forbidden |
Interdit |
|
| 429 Too Many Requests |
Trop de demandes |
|
| Other Status Codes |
Service indisponible |
Sécurité
Authorization
Jeton d’accès utilisateur ACS (Azure Communication Services).
Type:
apiKey
Dans:
header
Exemples
Delete chat thread
Exemple de requête
DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2
Exemple de réponse
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
Définitions
Error
| Nom | Type | Description |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |